Loading...
Searching...
No Matches
lcm::LogEvent Struct Reference
C++ API Reference

Represents a single event (message) in a log file. More...

`#include <lcm/lcm-cpp.hpp>`

## Public Attributes

int64_t | eventnum
int64_t | timestamp
std::string | channel
int32_t | datalen
void * | data

## Detailed Description

Represents a single event (message) in a log file.

This struct is the C++ counterpart for lcm_eventlog_event_t.

See also
  lcm_eventlog_event_t

## Member Data Documentation

## channel

std::string lcm::LogEvent::channel

The LCM channel on which the message was received.

## data

void* lcm::LogEvent::data

The message payload.

## datalen

int32_t lcm::LogEvent::datalen

The length of the message payload, in bytes

## eventnum

int64_t lcm::LogEvent::eventnum

Monotically increasing counter identifying the event number. This field is managed by LCM, and there should be no need to ever set it manually.

## timestamp

int64_t lcm::LogEvent::timestamp

Timestamp identifying when the event was received. Represented in microseconds since the UNIX epoch.

The documentation for this struct was generated from the following file:

- lcm-cpp.hpp